package com.bonus.core.customer.vo;

import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@LeNiuDecryptDataProcess
@Data
public class CustInfoForRechargeVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("三方人员编号")
   private String custThirdId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField
   private String mobile;
   @ApiModelProperty("组织编号")
   private String orgNum;
   @ApiModelProperty("组织名称")
   private String orgName;
   @ApiModelProperty("所属组织")
   private String orgFullName;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }


}
